{
	"name": "waddon",
	"version": "3.4.12",
	"main": "src/index.ts",
	"repository": "https://gitlab.com/Isleward-Modding/addons/waddon.git",
	"license": "MIT",
	"private": true,
	"type": "module",
	"scripts": {
		"dev": "chokidar \"src/**/*\" --initial -c \"rollup -c\"",
		"dev2": "rollup --config rollup.config.js --bundleConfigAsCjs --watch",
		"build": "cross-env NODE_ENV=production rollup --config rollup.config.js --bundleConfigAsCjs",
		"build:ci": "cross-env NODE_ENV=production BUILD_DIR=dist rollup --config rollup.config.js --bundleConfigAsCjs",
		"serve": "http-server build/ -p 10001 -c-1 --cors",
		"lint": "eslint",
		"tsc": "tsc"
	},
	"packageManager": "pnpm@9.7.0+sha512.dc09430156b427f5ecfc79888899e1c39d2d690f004be70e05230b72cb173d96839587545d09429b55ac3c429c801b4dc3c0e002f653830a420fa2dd4e3cf9cf",
	"devDependencies": {
		"@babel/core": "^7.25.2",
		"@babel/preset-react": "^7.24.7",
		"@eslint/compat": "^1.1.1",
		"@eslint/js": "^9.9.0",
		"@rollup/plugin-babel": "^6.0.4",
		"@rollup/plugin-commonjs": "^26.0.1",
		"@rollup/plugin-node-resolve": "^15.2.3",
		"@rollup/plugin-replace": "^5.0.7",
		"@rollup/plugin-terser": "^0.4.4",
		"@rollup/plugin-typescript": "^11.1.6",
		"@types/eslint__js": "^8.42.3",
		"@types/humanize-duration": "^3.27.4",
		"@types/jquery": "^3.5.30",
		"@types/react": "^18.3.3",
		"@types/react-dom": "^18.3.0",
		"chokidar": "^3.6.0",
		"chokidar-cli": "^3.0.0",
		"cross-env": "^7.0.3",
		"dotenv": "^16.4.5",
		"eslint": "^9.9.0",
		"eslint-plugin-prettier": "^5.2.1",
		"eslint-plugin-react": "^7.35.0",
		"eslint-plugin-react-hooks": "5.1.0-rc-2d2cc042-20240809",
		"globals": "^15.9.0",
		"http-server": "^14.1.1",
		"less": "^4.2.0",
		"prettier": "^3.3.3",
		"rollup": "^4.20.0",
		"rollup-plugin-styles": "^4.0.0",
		"rollup-plugin-userscript-metablock": "^0.4.2",
		"typescript": "^5.5.4",
		"typescript-eslint": "^8.0.1"
	},
	"dependencies": {
		"@kckckc/isleward-util": "^1.5.17",
		"classnames": "^2.5.1",
		"humanize-duration": "^3.32.1",
		"isleward-data": "github:hazelmeow/isleward-data",
		"react": "^18.3.1",
		"react-dom": "^18.3.1"
	}
}
